
package com.tmerclub.cloud.common.order.vo;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lhd
 * @date 2021/05/08
 */
public class SendNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单id
     */
    private Long bizId;
    /**
     * 用户id
     */
    private Long userId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 自提门店名称
     */
    private String stationName;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 是否待采购 1.是 0.否 2.已处理
     */
    private Integer supplierDeliveryType;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * 手机号
     */
    private String mobile;
    /**
     * 发送类型
     */
    private Integer sendType;

    /**
     * 实付金额
     */
    private Long actualTotal;

    /**
     * 实付金额转换成string并除以100
     */
    private String actualTotalStr;

    /**
     * 物流公司名称
     */
    private String dvyName;
    /**
     * 退款金额、拼团金额、实付金额
     */
    private String price;
    /**
     * 物流单号
     */
    private String dvyFlowId;
    /**
     * 退款备注
     */
    private String remark;
    /**
     * 等级名称
     */
    private String levelName;
    /**
     * 退款原因
     */
    private String rejectMessage;
    /**
     * 退款原因
     */
    private Integer hour;

    /**
     * 关联商品id
     */
    private Long spuId;

    /**
     * 关联营销活动id
     */
    private Long activityId;

    private String activityName;

    /**
     * 商品数量
     */
    private Integer prodNum;

    /**
     * 店铺改价优惠金额
     */
    private Long shopChangeFreeAmount;

    public String getActivityName() {
        return activityName;
    }

    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getHour() {
        return hour;
    }

    public void setHour(Integer hour) {
        this.hour = hour;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getRejectMessage() {
        return rejectMessage;
    }

    public void setRejectMessage(String rejectMessage) {
        this.rejectMessage = rejectMessage;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDvyName() {
        return dvyName;
    }

    public void setDvyName(String dvyName) {
        this.dvyName = dvyName;
    }

    public String getDvyFlowId() {
        return dvyFlowId;
    }

    public void setDvyFlowId(String dvyFlowId) {
        this.dvyFlowId = dvyFlowId;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public String getActualTotalStr() {
        return actualTotalStr;
    }

    public void setActualTotalStr(String actualTotalStr) {
        this.actualTotalStr = actualTotalStr;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Integer getSupplierDeliveryType() {
        return supplierDeliveryType;
    }

    public void setSupplierDeliveryType(Integer supplierDeliveryType) {
        this.supplierDeliveryType = supplierDeliveryType;
    }

    public Integer getProdNum() {
        return prodNum;
    }

    public void setProdNum(Integer prodNum) {
        this.prodNum = prodNum;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public Long getShopChangeFreeAmount() {
        return shopChangeFreeAmount;
    }

    public void setShopChangeFreeAmount(Long shopChangeFreeAmount) {
        this.shopChangeFreeAmount = shopChangeFreeAmount;
    }

    @Override
    public String toString() {
        return "SendNotifyBO{" +
                "bizId=" + bizId +
                ", userId=" + userId +
                ", shopId=" + shopId +
                ", stationName='" + stationName + '\'' +
                ", supplierId=" + supplierId +
                ", supplierName='" + supplierName + '\'' +
                ", supplierDeliveryType=" + supplierDeliveryType +
                ", spuName='" + spuName + '\'' +
                ", mobile='" + mobile + '\'' +
                ", sendType=" + sendType +
                ", actualTotal=" + actualTotal +
                ", actualTotalStr='" + actualTotalStr + '\'' +
                ", dvyName='" + dvyName + '\'' +
                ", price='" + price + '\'' +
                ", dvyFlowId='" + dvyFlowId + '\'' +
                ", remark='" + remark + '\'' +
                ", levelName='" + levelName + '\'' +
                ", rejectMessage='" + rejectMessage + '\'' +
                ", hour=" + hour +
                ", spuId=" + spuId +
                ", activityId=" + activityId +
                ", activityName='" + activityName + '\'' +
                ", prodNum=" + prodNum +
                ", shopChangeFreeAmount=" + shopChangeFreeAmount +
                '}';
    }
}
